Name:           maven-jsf-plugin
Version:        1.3.0
Release:        10%{?dist}
Summary:        Maven plugin for generating tlds, jsp tag sources and others

License:        ASL 2.0
URL:            http://code.google.com/p/primefaces/source/browse/maven/tags/maven-jsf-plugin/
# svn checkout http://primefaces.googlecode.com/svn/maven/tags/maven-jsf-plugin/1_3_0 maven-jsf-plugin-1.3.0
# tar czvf maven-jsf-plugin-%{version}-sources.tar.gz maven-jsf-plugin-%{version}
Source0:        %{name}-%{version}-sources.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-digester:commons-digester)
BuildRequires:  mvn(commons-lang:commons-lang)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

%description
This Maven plugin contains several goals that can be used
to generate tlds, jsp tag sources, component sources,
faces-config.xml and facelets-taglib file.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-ssh-external']]"

cp %{SOURCE1} LICENSE

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 15 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.3.0-8
- Add missing build-requires

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 06 2014 Michal Srb <msrb@redhat.com> - 1.3.0-4
- Remove wagon-ssh-external extension

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.3.0-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 17 2013 Michal Srb <msrb@redhat.com> - 1.3.0-1
- Update to upstream version 1.3.0
- Fixed rpmlint warning

* Fri Mar 08 2013 Michal Srb <msrb@redhat.com> - 1.2.3-1
- Initial packaging

